<?php
namespace WfpFundraising\Apps\Elementor;
if ( ! defined( 'ABSPATH' ) ) die( 'Forbidden' );
/**
 * Class Name : Elements - For configration elementtor widget for Fundrasing.
 * Class Type : Normal class
 *
 * initiate all necessary classes, hooks, configs
 *
 * @since 1.0.0
 * @access Public
 */
use \WfpFundraising\Apps\Settings as Settings; 

Class Elements{
    private $active_widgets = ['listing',  'donate'];

	private static $instance;

    public function _init($load = true){
		if($load){
            if ( ! did_action( 'elementor/loaded' ) ) {
                return false;
            }
            add_action('elementor/init', [$this, 'wfp_elementor_widget_resister']);

            //call widget 
           add_action( 'elementor/widgets/widgets_registered', [$this, 'register_widget']);
        }

    }
     /**
     * Method Name: wfp_elementor_widget_resister
     * Details : Register categories of Elementor Controls
     * 
     * @since 1.0.0
     * @access public
     */
    public function wfp_elementor_widget_resister( $widgets_manager ){
        \Elementor\Plugin::$instance->elements_manager->add_category(
			'wfp-fundraising',
			[
				'title' =>esc_html__( 'Wp Fundraising', 'wp-fundraising' ),
				'icon' => 'fa fa-plug',
			],
			1
		);
    }

     /**
     * Method Name: register_widget
     * Details : Register widget of Elementor Controls
     * 
     * @since 1.0.0
     * @access public
     */

    public function register_widget($widgets_manager){
        foreach($this->active_widgets as $widget){
           if( file_exists( WFP_FUNDRAISING_PLUGIN_PATH . 'apps/elementor/widgets/'.$widget.'.php')){
                require( WFP_FUNDRAISING_PLUGIN_PATH . 'apps/elementor/widgets/'.$widget.'.php' );
                $class_name = '\WfpFundraising\Apps\Elementor\Widgets'. DIRECTORY_SEPARATOR . ucfirst($widget);
                $widgets_manager->register_widget_type(new $class_name());
           }
        }
    }
	
	public static function instance(){
        if (!self::$instance){
            self::$instance = new self();
        }
        return self::$instance;
    }

}

