"use strict";
/*
 * Set amount of donate
 */

function xs_donate_amount_set(dat, forId, event) {

	var formId = document.querySelector("#wfdp-donationForm-" + forId);
	if (formId) {
		var amountDiv = formId.querySelector('#xs_donate_amount');

		if (amountDiv) {
			var setAmount = Number(dat);
			xs_additional_fees(setAmount, forId);
			amountDiv.value = setAmount.toFixed(2);
			var querySelectLi = formId.querySelectorAll("ul.xs-boxed-style li, .wfp-bdage-list li");
			for (var sel = 0; sel < querySelectLi.length; sel++) {
				querySelectLi[sel].classList.remove('donate-active');
				var dataValue = querySelectLi[sel].getAttribute('data-value');
				if (dataValue == dat) {
					querySelectLi[sel].classList.add('donate-active');
				}
			}
		}
	}
}


function xs_additional_fees(amount, forId) {
	var formId = document.querySelector("#wfdp-donationForm-" + forId);
	if (formId) {
		var addFeesDiv = formId.querySelector('#xs_donate_additional_fees_view');
		if (addFeesDiv) { //xs_donate_additional_fees
			var amountData = Number(amount);
			var thou_seperator = formId.querySelector('#xs_donate_currency_thou_seperator').value;
			var decimal_seperator = formId.querySelector('#xs_donate_currency_decimal_seperator').value;
			var decimal_number = formId.querySelector('#xs_donate_currency_decimal_number').value;

			var type_fees = formId.querySelector('#xs_donate_additional_fees_type').value;

			var persentange = formId.querySelector('#xs_donate_additional_fees').value;

			if (type_fees == 'percentage') {
				var fees = Number((amountData * Number(persentange)) / 100);
			} else {
				var fees = Number(persentange);
			}
			//alert(fees);
			var fees_convert = fees.toFixed(decimal_number);
			fees_convert = fees_convert.replace(/[#,]/g, '' + thou_seperator + '');
			fees_convert = fees_convert.replace(/[#.]/g, '' + decimal_seperator + '');
			addFeesDiv.innerHTML = '<strong>' + fees_convert + '</strong>';

			var total_fees = Number(amountData + fees);

			var amountDivTotalHidden = formId.querySelector('#xs_donate_amount_total_hidden');
			if (amountDivTotalHidden) {
				amountDivTotalHidden.value = total_fees;
			}
			var amountDivTotal = formId.querySelector('#xs_donate_amount_total');
			if (amountDivTotal) {
				var total_fees_convert = total_fees.toFixed(decimal_number);
				total_fees_convert = total_fees_convert.replace(/[#,]/g, '' + thou_seperator + '');
				total_fees_convert = total_fees_convert.replace(/[#.]/g, '' + decimal_seperator + '');
				amountDivTotal.innerHTML = '<strong>' + total_fees_convert + '</strong>';
			}
		}
	}
}


/*
 * show hide button
 */
function xs_show_hide_donate_font(dat) {
	var showHide = document.querySelectorAll(dat);
	if (showHide) {
		for (var m = 0; m < showHide.length; m++) {
			showHide[m].classList.toggle('xs-donate-visible');
		}
	}

}

function xs_show_hide_multiple_div(dat, showDiv) {
	event.preventDefault();

	var showHide = document.querySelectorAll(dat);
	if (showHide) {
		for (var m = 0; m < showHide.length; m++) {
			showHide[m].classList.remove('xs-donate-visible');
		}
	}

	var showHide1 = document.querySelector(showDiv);
	if (showHide1) {
		showHide1.classList.toggle('xs-donate-visible');
	}
}

/*
 * Ajax Submit Donation form
 */
jQuery(document).ready(function (event) {
	jQuery('.wfdp-donationForm').submit(ajaxDonateSubmit);

	function ajaxDonateSubmit(e) {
		e.preventDefault();

		var checkPaymentType = (this).getAttribute("wfp-payment-type");
		if (!checkPaymentType) {
			checkPaymentType = 'default';
		}

		var donateForm = jQuery(this).serialize();
		var idfo = this.id;
		var idData = idfo.split('-');
		var idForm = idData[idData.length - 1];

		var checkCOndition = jQuery('#' + idfo + ' #xs-donate-terms-condition');
		if (checkCOndition) {
			if (checkCOndition.prop("checked") == false) {
				jQuery('#' + idfo + ' .wfdp-donation-message').last().html('<div class="xs-alert xs-alert-danger error"> Please select terms & condition.</div>');
				return;
			}
		}

		document.getElementsByTagName('body')[0].classList.add('wfp-disabled');

		// check payment type
		if (checkPaymentType == 'woocommerce') {
			var checkurl = (this).getAttribute("wfp-data-url");
			var amountInput = (this).querySelector("#xs_donate_amount");
			var amount = amountInput.value;
			var amountInputAll = (this).querySelector("#xs_donate_amount_total_hidden");
			if (amountInputAll) {
				amount = amountInputAll.value;
			}
			var urlData = '&amount=' + amount + '&target=' + idForm + '&pledge=0&country=0&type=fixed&index=0';
			window.location.href = checkurl + '&add-to-cart=' + idForm + '&quantity=1' + urlData;
			return true;
		}
		
		jQuery.ajax({
			data: donateForm,
			type: 'post',
			url: window.xs_donate_url.resturl+'xs-donate-form/donate-submit/' + idForm,
			beforeSend: function (xhr) {
				xhr.setRequestHeader('X-WP-Nonce', xs_donate_url.nonce);
			},
			success: function (response) {

				if (response.error.length > 0) {
					document.getElementsByTagName('body')[0].classList.remove('wfp-disabled');
					jQuery('#' + idfo + ' .wfdp-donation-message').html('<div class="error xs-alert xs-alert-danger">' + response.error + '</div>');
					return;
				}

				if (response.success.message.length > 0) {
					var res = response.success;
					
					jQuery('input, textarea, select').each(function () {
						jQuery(this).val('');
					});

					if (res.type == 'online_payment') {
						document.getElementsByTagName('body')[0].classList.remove('wfp-disabled');
						jQuery('#' + idfo + ' .wfdp-donation-message').html('<div class="success xs-alert xs-alert-success">Please wait... Redirecting paypal payment page.</div>');
						setTimeout(function () {
							window.location.href = res.url;
						}, 500);
					} else if (res.type == 'stripe_payment') {
						var submitButton = document.querySelector("button[name='submit-form-donation']");
						jQuery('#' + idfo + ' .wfdp-donation-message').html('<div class="success xs-alert xs-alert-success">Please wait... opening stripe popup payment box.</div>');
						
						submitButton.style.display = 'none';

						var creadteButton = document.createElement('button');
						creadteButton.setAttribute('id', 'xsPayButton');
						creadteButton.setAttribute('class', 'xs-btn btn-special submit-btn');
						creadteButton.innerHTML = 'Pay Now';

						submitButton.parentElement.appendChild(creadteButton);

						/*var modal = document.querySelector('button[data-modal-dismiss="modal"]');
						if (modal) {
							modal.click();
							var payButton = document.querySelector('#xsPayButton');
							if (payButton) {
								payButton.click();
							}
						}*/

						var handler = StripeCheckout.configure({
							key: res.keys,
							image: res.image_url,
							locale: 'auto',
							token: function (token) {
								if (token.id) {
									window.location.href = res.return_url;
								} else {
									window.location.href = res.cancel_return;
								}
							}
						});

						document.querySelector('#xsPayButton').addEventListener('click', function (e) {
							handler.open({
								name: String(res.name_post),
								description: String(res.name_post) + ' Donate Id: ' + String(res.description),
								amount: (Number(res.amount) * 100),
								currency: 'usd'
							});
							e.preventDefault();
						});

						var payButton = document.querySelector('#xsPayButton');
						if (payButton) {
							payButton.click();
						}
						window.addEventListener('popstate', function () {
							handler.close();
							//document.getElementsByTagName('body')[0].classList.remove('wfp-disabled');
						});
					} else {
						jQuery('#' + idfo + ' .wfdp-donation-message').html('<div class="success xs-alert xs-alert-success">Please wait... Redirecting Order Page.</div>');

						setTimeout(function () {
							window.location.href = res.order_page;
						}, 500);
					}
					return;
				}

			}
		});

	}
});

/*header fixed manu*/
window.onscroll = function () {
	//wfp_fixed_header();
};

function wfp_fixed_header() {
	var header = document.querySelector("#wfp_menu_fixed");
	var sticky = header.offsetTop;

	if (window.pageYOffset > sticky) {
		//header.classList.add("wfp-sticky");
	} else {
		//header.classList.remove("wfp-sticky");
	}
}

/*
 * Start Tab js
 */
jQuery(document).ready(function () {
	var selectTab = jQuery('.wfp-tab > li');
	var selectDiv = jQuery('.wfp-tab-content');
	if (selectTab) {
		selectTab.first().addClass('active');
		if (selectDiv) {
			selectDiv.first().addClass('active');
		}
	}

	function nx_tab_setActive_single() {
		setTimeout(function () {
			var hash = window.location.hash.substr(1);
			if (hash) {
				jQuery('.wfp-tab > li').removeClass('active');
				jQuery('.wfp-tab > li > a[href="#' + hash + '"]').parent().addClass('active');
				jQuery('.wfp-tab-content').removeClass('active');
				jQuery('.wfp-tab-content#' + hash).addClass('active');
			}
		}, 15);
	}
	nx_tab_setActive_single(); // On Page Load
	jQuery('.wfp-tab > li > a[href*="#"]').on('click', function (e) {
		// e.preventDefault();
		nx_tab_setActive_single();
	});

});


/*
 * select reward
 */
function wfp_select_pledge(dat, event) {
	var idDat = jQuery('#' + dat.id);
	if (idDat) {
		idDat.removeClass('hover-effect-enable');
		idDat.addClass('select-reward');
	}
}

/*
 * Set pledge amoutn data
 */
function set_pleadge_amount_data(dat) {
	if (dat) {
		var getIndex = dat.getAttribute("wfp-index");
		var getID = dat.getAttribute("wfp-id");
		var pledgeAmount = dat.getAttribute("wfp-pledge");
		var pledge_sec = document.querySelector("#pledge_section__" + getID);
		if (pledge_sec) {
			var section = pledge_sec.querySelector("#wfp-pledge-block__" + getIndex);
			if (section) {
				var amount = 0;
				var amountData = section.querySelector("#xs_donate_amount_pledge");
				if (amountData) {
					amount = Number(amountData.value);
				}
				var country = '';
				var countryData = section.querySelector("#xs_donate_country_pledge");
				if (countryData) {
					country = countryData.value;
				}

				var quantity = 1;
				/*var quantityData = section.querySelector("#xs_donate_quantity_pledge");
				if(quantityData){
					quantity = quantityData.value;
				}*/

				var post_form = document.querySelector("#post-" + getID);
				if (post_form) {
					var checkurl = post_form.getAttribute("wfp-data-url");
					var checkPaymentType = post_form.getAttribute("wfp-payment-type");
					if (checkurl) {
						if (amount > 0) {
							var urlData = '&amount=' + amount + '&target=' + getID + '&pledge=' + pledgeAmount + '&country=' + country + '&type=pledge&index=' + getIndex;
							if (checkPaymentType == 'woocommerce') {
								setTimeout(function () {
									window.location.href = checkurl + '&add-to-cart=' + getID + '&quantity=' + quantity + urlData;
								}, 1000);

							} else {
								setTimeout(function () {
									window.location.href = checkurl + urlData;
								}, 1000);
							}
						}
					}
				}

			}
		}
	} else {
		alert('Invalid Rewards');
	}
}

function set_pleadge_amount_data_fixed(dat) {
	if (dat) {
		var getID = dat.getAttribute("wfp-id");
		var pledgeAmount = dat.getAttribute("wfp-pledge");

		var post_form = document.querySelector("#post-" + getID);
		if (post_form) {
			var amount = 0;
			var amountData = post_form.querySelector("#xs_donate_amount_pledge_fixed");
			if (amountData) {
				amount = Number(amountData.value);
			}
			var checkurl = post_form.getAttribute("wfp-data-url");

			var checkPaymentType = post_form.getAttribute("wfp-payment-type");
			if (checkurl) {
				if (amount > 0) {
					var urlData = '&amount=' + amount + '&target=' + getID + '&pledge=' + pledgeAmount + '&country=0&type=fixed&index=';
					if (checkPaymentType == 'woocommerce') {
						setTimeout(function () {
							window.location.href = checkurl + '&add-to-cart=' + getID + '&quantity=1' + urlData;
						}, 1000);
					} else {
						setTimeout(function () {
							window.location.href = checkurl + urlData;
						}, 1000);
					}

				}
			}

		}
	}
}


jQuery(document).ready(function($) {
	$(".datepicker-fundrasing").each( function(){
		var parent = $(this).parent('.search-tab'),
			noDate = $(this).parent('.search-tab').hasClass('wfp-no-date-limit'),
			config = {
				appendTo: parent.get(0),
				dateFormat: 'd-m-Y'
			};

		if(!noDate) {
			config.maxDate = "today";
		}

		$(this).flatpickr(config);

	});
});

