<?php
$author_id = get_current_user_id();
$userCountry = get_user_meta($author_id, '_wfp_country', true);

$getAmount = isset($_GET['amount']) ? intval($_GET['amount']) : 0;
$getPledge = isset($_GET['pledge']) ? intval($_GET['pledge']) : 0;
$getIndex = isset($_GET['index']) ? intval($_GET['index']) : -10;
$defaultCountry = isset($_GET['country']) && strlen($_GET['country']) > 1 ? sanitize_text_field($_GET['country']) : $userCountry;

// form content data
$formContentData = isset($getMetaData->form_content) ? $getMetaData->form_content : (object)[ 'enable' => 'No', 'content_position' => 'after-form'];
$gateCampaignData = 'woocommerce';	
$enableDisplayField = '';

// general option data 
$metaGeneralKey = 'wfp_general_options_data';
$getMetaGeneralOp = get_option( $metaGeneralKey );
$getMetaGeneral = isset($getMetaGeneralOp['options']) ? $getMetaGeneralOp['options'] : [];
$getMetaGeneralPage = isset($getMetaGeneral['pages']) ? $getMetaGeneral['pages'] : [];
$checkoutPage = isset($getMetaGeneralPage['checkout']) ? $getMetaGeneralPage['checkout'] : 'wfp-checkout';
$urlCheckout = get_site_url().'/'.$checkoutPage.'?wfpout=true';

$add_fees = isset($getMetaData->donation->set_add_fees) ? $getMetaData->donation->set_add_fees : (object)[ 'enable' => 'No', 'fees_amount' => 0];

include(WFP_FUNDRAISING_PLUGIN_PATH.'country-module/country-info.php' );
?>
<div class="wfp-view wfp-view-public">
	<section class="wfp-checkout <?php echo esc_attr($className);?>" id="<?php echo esc_attr($idName);?>">

		<div class="checkout-content">
			<?php if($getPaymentId > 0 && is_object($post) && sizeof( (array) $post) > 0){?>
			<form method="post" class="wfdp-donationForm" id="wfdp-donationForm-<?php echo $post->ID;?>"
				wfp-data-url="<?php echo esc_url($urlCheckout);?>" wfp-payment-type="default">
				<div class="wfdp-donation-message"></div>
				<div class="xs-row">
					<div class="xs-col-lg-6">
						<div class="wfp-title-section">
							<?php do_action('wfp_checkout_title_before');?>
							<h2 class="checkout-heading">
								<?php echo apply_filters('wfp_checkout_billing_details', esc_html__('Billing details:', 'wp-fundraising'));?>
							</h2>
							<?php do_action('wfp_checkout_title_after');?>
						</div>
						<?php
						include( WFP_FUNDRAISING_PLUGIN_PATH.'views/public/donation/include/content/filed-content.php' );
						?>
						<div class="wfdp-donation-input-form wfp-input-field <?php echo esc_attr($enableDisplayField);?>">
							<label for="xs_donate_country_pledge"></label>
							<?php echo apply_filters('wfp_checkout_country_name', esc_html__('Country Destination:', 'wp-fundraising'));?>
							<?php
							
							$defultStreet = get_user_meta($author_id, '_wfp_street_address', true);
							$defultCity = get_user_meta($author_id, '_wfp_city', true);
							$defultPostcode = get_user_meta($author_id, '_wfp_postcode', true);
							?>
							<select class="regular-text wfp-select2-country"
								name="xs_donate_data_submit[additonal][country_destination]" id="xs_donate_country_pledge">
								<?php
								if(is_array($countryList) && sizeof($countryList) > 0){
									
									foreach($countryList AS $key=>$value):
										$name = isset($value['info']['name']) ? $value['info']['name'] : '';
										$countryStateList = isset($value['states']) ? $value['states'] : [];
										if(is_array($countryStateList) && sizeof($countryStateList) > 0){
									?>
								<optgroup label="<?php echo esc_html__($name, 'wp-fundraising');?>">
									<?php
											foreach($countryStateList AS $keyState=>$valueState):
											?>
									<option value="<?php echo $valueState.', '.$name;?>"
										<?php echo ($defaultCountry == $key.'-'.$keyState) ? 'selected' : '';?>>
										<?php echo esc_html__($name.' -- '.$valueState, 'wp-fundraising');?> </option>

									<?php
											endforeach;
											?>
								</optgroup>
								<?php
										}else{
									?>
								<option value="<?php echo $name;?>"
									<?php echo ($defaultCountry == $key) ? 'selected' : '';?>>
									<?php echo esc_html__($name, 'wp-fundraising');?> </option>
								<?php	
										}
									endforeach;
								}
								?>
							</select>
						</div>
						<div class="wfdp-donation-input-form wfp-input-field <?php echo esc_attr($enableDisplayField);?>">
							<label for="xs_donate_city_pledge">
								<?php echo apply_filters('wfp_checkout_street_name', esc_html__('Street Address :', 'wp-fundraising'));?></label>
							<input type="text" class="regular-text" name="xs_donate_data_submit[additonal][street_address]"
								value="<?php echo $defultStreet;?>" id="xs_donate_city_pledge" required="">
						</div>
						<div class="wfdp-donation-input-form wfp-input-field <?php echo esc_attr($enableDisplayField);?>">
							<label for="xs_donate_city_pledge">
								<?php echo apply_filters('wfp_checkout_city_name', esc_html__('City :', 'wp-fundraising'));?></label>
							<input type="text" class="regular-text" name="xs_donate_data_submit[additonal][city]"
								value="<?php echo $defultCity;?>" id="xs_donate_city_pledge" required="">
						</div>
						<div class="wfdp-donation-input-form wfp-input-field <?php echo esc_attr($enableDisplayField);?>">
							<label for="xs_donate_city_pledge">
								<?php echo apply_filters('wfp_checkout_postcode_name', esc_html__('Postcode / ZIP :', 'wp-fundraising'));?></label>
							<input type="text" class="regular-text" name="xs_donate_data_submit[additonal][postcode]"
								value="<?php echo $defultPostcode;?>" id="xs_donate_city_pledge" required="">
						</div>
					</div>
					<div class="xs-col-lg-6">
						<div class="wfp-title-section">
							<?php do_action('wfp_checkout_details_before');?>
							<h2 class="order-heading">
								<?php echo apply_filters('wfp_checkout_details', esc_html__('Checkout Details', 'wp-fundraising')); ?>
							</h2>
							<?php do_action('wfp_checkout_details_after');?>
						</div>
						<div class="wfp-order-details-section">
							<table class="form-table wfdp-table-design wfp-order-details">
								<thead>
									<tr>
										<th class="product-name">
											<?php echo apply_filters('wfp_order_checkout_product', esc_html__('Product', 'wp-fundraising')); ?>
										</th>
										<th class="payment-total">
											<?php echo apply_filters('wfp_order_checkout_total', esc_html__('Total', 'wp-fundraising')); ?>
										</th>
									</tr>
								</thead>
									<?php
								$total_amount = $getAmount;
								$total_tax = 0;
								$total_amount_sub = $getAmount + $total_tax;
								
								$total_shiping = 0;
								$total_shiping_tax = 0;
								$total_shiping_sub = $total_shiping + $total_shiping_tax;
								
								$total_amount_sub_all = $total_amount_sub - $total_shiping_sub;
								
								$fees_data = 0;
								$fees = 0;
								$fees_type = '';
								if(isset($add_fees->enable) && $add_fees->enable == 'Yes'){
									$fees_type = isset($add_fees->fees_type) ? $add_fees->fees_type : 'percentage';
			
									$fees_data = isset($add_fees->fees_amount) ? $add_fees->fees_amount : '0';
									if($fees_type == 'percentage'){
										$fees = ($total_amount * $fees_data) / 100;
									}else{
										$fees = $fees_data;
									}
			
									$total_amount = $total_amount + $fees;
								
								}
								?>
								<tbody>
									<tr>
										<td><strong><?php echo esc_html($post->post_title);?> × 1</strong></td>
										<td><em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('left', $defaultUse_space);?></em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency($total_amount_sub_all);?><em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('right', $defaultUse_space);?></em>
										</td>
									</tr>
								</tbody>
								<tfoot>
									<tr>
										<td><strong><?php echo apply_filters('wfp_checkout_details_subtotal', esc_html__('Subtotal:', 'wp-fundraising')); ?></strong>
										</td>
										<td><em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('left', $defaultUse_space);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency($total_amount_sub);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('right', $defaultUse_space);?></em>
										</td>
									</tr>
									<tr>
										<td><strong><?php echo apply_filters('wfp_checkout_details_shipping', esc_html__('Shipping:', 'wp-fundraising')); ?></strong>
										</td>
										<td><em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('left', $defaultUse_space);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency($total_shiping_sub);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('right', $defaultUse_space);?></em>
										</td>
									</tr>
									<?php if(isset($add_fees->enable) && $add_fees->enable == 'Yes'){?>
									<tr>
										<td><strong><?php $additext = isset($add_fees->fees_label) ? esc_html($add_fees->fees_label) : 'Fees';
										echo apply_filters('wfp_donate_forms_additional_fees', esc_html__($additext, 'wp-fundraising'));
											if($fees_type == 'percentage'){?> (<strong><?php echo $fees_data;?></strong>%) <?php }?></strong></td>
										<td><em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('left', $defaultUse_space);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency($fees);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('right', $defaultUse_space);?></em>
										</td>
									</tr>
									<?php }?>
									<tr>
										<td><strong><?php echo apply_filters('wfp_checkout_details_total_amount', esc_html__('Total:', 'wp-fundraising')); ?></strong>
										</td>
										<td><em><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('left', $defaultUse_space);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency($total_amount);?><?php echo WfpFundraising\Apps\Settings::wfp_number_format_currency_icon('right', $defaultUse_space);?></em>
										</td>
									</tr>
								</tfoot>
							</table>
						</div>
						<div class="wfp-order-payment-section">
							<input type="hidden" value="crowdfunding" name="xs_donate_data_submit[payment_type]">
							<input type="hidden" value="<?php echo $getPledge;?>" name="xs_donate_data_submit[pledge_id]">
							<input type="hidden" value="<?php echo $getIndex;?>" name="xs_donate_data_submit[index]">
							<input type="hidden" value="<?php echo $fees_data;?>" name="xs_donate_data_submit[addition_fees]">
							<input type="hidden" id="xs_donate_amount_total_hidden" name="xs_donate_data_submit[donate_amount]"
								value="<?php echo $total_amount;?>">
							<input type="hidden" value="<?php echo $fees;?>" name="xs_donate_data_submit[addition_fees_amount]">
							<input type="hidden" value="<?php echo $fees_type;?>" name="xs_donate_data_submit[addition_fees_type]">
							<?php
						include( WFP_FUNDRAISING_PLUGIN_PATH.'views/public/donation/include/content/payment-content.php' );
						?>
						</div>
						<div class="submit-form-checkout">
							<button type="submit" name="submit-form-donation"
								class="xs-btn xs-btn-primary xs-btn-block xs-btn-lg"><?php echo apply_filters('wfp_checkout_button', esc_html__('Checkout', 'wp-fundraising'))?></button>
						</div>
					</div>
				</div>
			</form>
			<?php }else{
				echo '<p class="wfp-error-message">'. apply_filters('wfp_checkout_invalid_message', esc_html__('Invalid Payment', 'wp-fundraising')). '</p>';
				}
			?>
		</div>

	</section>
</div>

<script type="text/javascript">
	jQuery(document).ready(function () {
		jQuery('.wfp-select2-country').select2();
	});
</script>